read_cache_page
Prev | More Memory Management Functions | Next

## Name

read_cache_page — read into page cache, fill it if needed

## Synopsis

`struct page * read_cache_page (` | struct address_space * | mapping,
| unsigned long | index,
| int (* | filler`(`void *,struct page*`)`,
| void * | data`)`;

## Arguments

`mapping`

  the page's address_space

`index`

  the page index

`filler`

  function to perform the read

`data`

  destination for read data

## Description

Read into the page cache. If a page already exists, and `PageUptodate` is not set, try to fill the page then wait for it to become unlocked.

If the page does not get brought uptodate, return -EIO.

Prev | Up | Next
filemap_fault | Home | try_to_release_page